package ru.yandex.webmaster3.core.robotstxt;

/**
 * Created by Oleg Bazdyrev on 30/07/2018.
 */
public final class AllowPrefixInfo {

    private final boolean allow;
    private final String rule;
    private final int line;

    public AllowPrefixInfo(boolean allow, String rule, int line) {
        this.allow = allow;
        this.rule = rule;
        this.line = line;
    }

    public boolean isAllow() {
        return allow;
    }

    public String getRule() {
        return rule;
    }

    public int getLine() {
        return line;
    }

    @Override
    public String toString() {
        return "AllowPrefixInfo{" +
                "allow=" + allow +
                ", rule='" + rule + '\'' +
                ", line=" + line +
                '}';
    }
}
